package com.ruoyi.system.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 动态格样式对象 drag_table_style
 * 
 * @author ruoyi
 * @date 2023-11-03
 */
public class DragTableStyle extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 样式名称 */
    private String styleName;

    /** 样式代码 */
    private String styleCode;

    /** 动态表格主键 */
    private String tableKey;

    /** 显示样式条件/字典类型 */
    private String styleCondtion;

    /** 字段名称 */
    private String styleField;

    /** 类型（0：整行1：单个字段2：字典类型） */
    private Long styleType;

    /** 样式描述 */
    private String styleDescription;

    /** 备用列（未启用） */
    private String spare1;

    /** 备用列（未启用） */
    private String spare2;

    /** 删除标志（0：否 2：是） */
    private String delFlag;

    /** 创建者id */
    private Long createById;

    /** 更新者id */
    private Long updateById;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setStyleName(String styleName) 
    {
        this.styleName = styleName;
    }

    public String getStyleName() 
    {
        return styleName;
    }
    public void setStyleCode(String styleCode) 
    {
        this.styleCode = styleCode;
    }

    public String getStyleCode() 
    {
        return styleCode;
    }
    public void setTableKey(String tableKey) 
    {
        this.tableKey = tableKey;
    }

    public String getTableKey() 
    {
        return tableKey;
    }
    public void setStyleCondtion(String styleCondtion) 
    {
        this.styleCondtion = styleCondtion;
    }

    public String getStyleCondtion() 
    {
        return styleCondtion;
    }
    public void setStyleField(String styleField) 
    {
        this.styleField = styleField;
    }

    public String getStyleField() 
    {
        return styleField;
    }
    public void setStyleType(Long styleType) 
    {
        this.styleType = styleType;
    }

    public Long getStyleType() 
    {
        return styleType;
    }
    public void setStyleDescription(String styleDescription) 
    {
        this.styleDescription = styleDescription;
    }

    public String getStyleDescription() 
    {
        return styleDescription;
    }
    public void setSpare1(String spare1) 
    {
        this.spare1 = spare1;
    }

    public String getSpare1() 
    {
        return spare1;
    }
    public void setSpare2(String spare2) 
    {
        this.spare2 = spare2;
    }

    public String getSpare2() 
    {
        return spare2;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setCreateById(Long createById) 
    {
        this.createById = createById;
    }

    public Long getCreateById() 
    {
        return createById;
    }
    public void setUpdateById(Long updateById) 
    {
        this.updateById = updateById;
    }

    public Long getUpdateById() 
    {
        return updateById;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("styleName", getStyleName())
            .append("styleCode", getStyleCode())
            .append("tableKey", getTableKey())
            .append("styleCondtion", getStyleCondtion())
            .append("styleField", getStyleField())
            .append("styleType", getStyleType())
            .append("styleDescription", getStyleDescription())
            .append("spare1", getSpare1())
            .append("spare2", getSpare2())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createById", getCreateById())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateById", getUpdateById())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
